Wind River Support Network

HomeDefectsLIN4-23826
Fixed

LIN4-23826 : Security Advisory - Linux - CVE-2011-1770

Created: Jul 7, 2011    Updated: May 18, 2015
Resolved Date: Jul 24, 2011
Previous ID: LIN3-13003
Found In Version: 4.0
Fix Version: 4.2
Severity: Severe
Applicable for: Wind River Linux 4
Component/s: Kernel

Description

Integer underflow in the dccp_parse_options function (net/dccp/options.c) in the Linux kernel before 2.6.33.14 allows remote attackers to cause a denial of service via a Datagram Congestion Control Protocol (DCCP) packet with an invalid feature options length, which triggers a buffer over-read.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2011-1770

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online